h1, h4 {
    border-style: none none none solid;
    border-color: white;
    font-weight: bold;
}

h1,h2 {
    padding: 0rem 0rem;
    background: white;
    color: black;
}

h2 {
  position: relative;
  padding: .5rem .5rem;
  color: black;
  border-bottom: 3px solid #000;
  background: #f4f4f4;
  margin-top: 100px;
}

h3 {
  position: relative;
  display: inline-block;
  padding: 0rem 0rem 0rem 0rem;
  color: #fff;
  border-radius: 100vh 0 0 100vh;
  background: #fa4141;
}

h3:before {
  position: absolute;
  top: calc(50% - 7px);
  left: 10px;
  width: 14px;
  height: 14px;
  content: '';
  border-radius: 50%;
  background: #fff;
}

h3 {
    position: relative;
    padding: .5rem .5rem;
    color: black;
}
p {
	width:80%;		/*幅の指定*/
	margin:10px;		/*マージン*/
    margin-left:30px;		/*インデント幅*/
}

pre {
   　padding: 1em;　/* 内側の余白 */
   　margin: 0 0 1.5em;　/* 外側の余白 */
   　border: solid 1px #eaedf2;　/* 枠線 */
   　background: #f3f6fc;　/* 背景色 */
   　color: #54687c;　/* 文字色 */
}

a:link:hover, a:visited:hover {
    color: darkred;
    background-color: yellow;
}

body {
    background-color: white;
    color: black;
    font-family:'Lucida Grande','Hiragino Kaku Gothic ProN', Meiryo, sans-serif;
    font-size:120%;
    line-height: 180%;
    margin-bottom: 50px;
}

code, tt {
    font-family: monospace;
    font-style: normal;
    color:white;
    background-color:#8d8c8c;
    line-height: 150%;
    font-size:100%;
}

pre {
    background-color: #8d8c8c;
    font-family: monospace;
    font-weight: bold;
    font-style: normal;
    white-space: pre;
    margin-left: 40pt;
    margin-right: 40pt;
    padding: 10pt;
}

pre.src {
    background-color: #eeeeee;
}

ul, ol{
    line-height: 2;
    padding-top:10px;
    padding-bottom:10px;
}

.design12 {
 width: 100%;
 text-align: center;
 border-collapse: collapse;
 border-spacing: 0;
 background: #ffffff;
}

.design12 tr:nth-child(2n+1) {
 background: #f5f5f5;
}
.design12 th {
 padding: 10px;
 border: solid 1px #ffffff;
 background: #778ca3;
 color: #ffffff;
}
.design12 td {
 padding: 10px;
 border: solid 1px #ffffff;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
}

tr:nth-child(odd) {
    background-color: #f0f8ff; /* 薄い青色 */
}

tr:nth-child(even) {
    background-color: #ffffff; /* white*/ 
}

td {
    padding: 10px;
    border-bottom: 1px solid #ddd;
}
